Bug 1738001 - gdesklets depends on Python 2
Summary: gdesklets depends on Python 2
Keywords:
Status: CLOSED DUPLICATE of bug 1777627
Alias: None
Product: Fedora
Classification: Fedora
Component: gdesklets
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Sergio Basto
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F31_PY2REMOVAL
TreeView+ depends on / blocked
 
Reported: 2019-08-06 12:23 UTC by Lumír Balhar
Modified: 2019-11-28 01:12 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-28 01:12:30 UTC
Type: Bug


Attachments (Terms of Use)

Description Lumír Balhar 2019-08-06 12:23:19 UTC
Python 2.7 will reach end-of-life in January 2020, over 9 years after it was released. This falls within the Fedora 31 lifetime.
Packages that depend on Python 2 are being switched to Python 3 or removed from Fedora: https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Information_on_Remaining_Packages
Python 2 will be retired in Fedora 32: https://fedoraproject.org/wiki/Changes/RetirePython2

To help planning, we'd like to know the plans for gdesklets's future. Specifically:


- What is the reason for the Python2 dependency? (Is it software written in Python, or does it just provide Python bindings, or use Python in the build system or test runner?) 

- What are the upstream/community plans/timelines regarding Python 3?

- What is the guidance for porting to Python 3? (Assuming that there is someone who generally knows how to port to Python 3, but doesn't know anything about the particular package, what are the next steps to take?)


This bug is filed semi-automatically, and might not have all the context specific to gdesklets.
If you need anything from us, or something is unclear, please mention it here.

Thank you.

Comment 1 Ben Cotton 2019-08-13 16:51:14 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 2 Ben Cotton 2019-08-13 17:49:01 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 3 Lumír Balhar 2019-08-14 08:52:31 UTC
Please answer the above questions. If you don't the package can be orphaned: https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Information_on_Remaining_Packages

If you need any information or help, please let us know.

Comment 4 Sergio Basto 2019-08-15 00:43:52 UTC
I'd like keep gdesklets , because I still use "Quote of the Day" and still not found any replacement  .

Comment 5 Petr Viktorin 2019-08-15 09:14:38 UTC
Alright! Please ask for a FESCo exception for keeping gdesklets and its dependencies.
Here's an example ticket for that: https://pagure.io/fesco/issue/2208

We track the Python 2 dependencies here: https://fedora.portingdb.xyz/pkg/gdesklets/
Could you check which ones are necessary? It seems that the critical ones are: pygtk2, gtk2. libglade2, pycairo, pygobject2, python2-numpy.
Check with their maintainers Python 2 plans for those don't conflict with yours. (If there's a bug like this one filed for them, that's a good place to have the conversation.)

As for Python 2: the "python2" package will be replaced with "python27". We can help you with the switch.
As for python2-pytest, python2-nose and python2-setuptools: those will probably need (co-)maintainers to stay in Fedora.

Comment 6 Sergio Basto 2019-09-06 16:10:15 UTC
https://pagure.io/fesco/issue/2223

Comment 7 Sergio Basto 2019-09-10 18:41:23 UTC
I need at least gnome-python2-devel

https://koji.fedoraproject.org/koji/taskinfo?taskID=37586015
https://kojipkgs.fedoraproject.org//work/tasks/6015/37586015/root.log

BUILDSTDERR:  Problem: conflicting requests
DEBUG util.py:585:  BUILDSTDERR:   - nothing provides python2-devel(x86-64) >= 2.3.0 needed by gnome-python2-devel-2.28.1-27.fc32.x86_64
DEBUG util.py:587:  (try to add '--skip-broken' to skip uninstallable packages)

Comment 8 Miro Hrončok 2019-09-11 08:29:04 UTC
Workarounded that in gnome-python2-2.28.1-28.fc32.

So you need "only" python27 and gnome-python2-devel. Hence you also need the dependencies:

  pyorbit
  pygtk2
  pycairo
  pygobject2
  python2-numpy
  python2-setuptools

Is that correct?

Comment 9 Miro Hrončok 2019-09-11 08:35:43 UTC
Note that gDesklets is discontinued. The project is no longer updated since 2011 and the official website is no longer available. The unofficial website http://gdesklets.info/archive/ maintains an archive of new and old desklets.

Would conky serve as a replacement for your use case?

https://github.com/brndnmtthws/conky
https://github.com/addy-dclxvi/conky-theme-collections/blob/master/novoselic/res/quote-online
https://github.com/addy-dclxvi/conky-theme-collections/blob/master/novoselic/res/quote-offline

Comment 10 Sergio Basto 2019-09-11 12:21:12 UTC
(In reply to Miro Hrončok from comment #8)
> Workarounded that in gnome-python2-2.28.1-28.fc32.
> 
> So you need "only" python27 and gnome-python2-devel. Hence you also need the
> dependencies:
> 
>   pyorbit
>   pygtk2
>   pycairo
>   pygobject2
>   python2-numpy
>   python2-setuptools
> 
> Is that correct?

yes more pygtk2-devel and his dependencies 

(In reply to Miro Hrončok from comment #9)
> Note that gDesklets is discontinued. The project is no longer updated since
> 2011 and the official website is no longer available. The unofficial website
> http://gdesklets.info/archive/ maintains an archive of new and old desklets.

I think after we got [1] and after my repo [2]

[1]
https://launchpad.net/gdesklets 

[2]
https://github.com/sergiomb2/gdesklets

> Would conky serve as a replacement for your use case?
> 
> https://github.com/brndnmtthws/conky
> https://github.com/addy-dclxvi/conky-theme-collections/blob/master/novoselic/
> res/quote-online
> https://github.com/addy-dclxvi/conky-theme-collections/blob/master/novoselic/
> res/quote-offline

Yes , seems  that is what I'm looking for . I will check soon .

Thanks

Comment 11 Miro Hrončok 2019-11-28 01:12:30 UTC

*** This bug has been marked as a duplicate of bug 1777627 ***


Note You need to log in before you can comment on or make changes to this bug.